%define upstream_name    Data-Alias
%define upstream_version 1.12

%define Werror_cflags %nil

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Comprehensive set of aliasing operations
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl-devel
%description
Aliasing is the phenomenon where two different expressions actually refer
to the same thing. Modifying one will modify the other, and if you take a
reference to both, the two values are the same.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="%optflags"

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml README
%{_mandir}/man3/*
%{perl_vendorarch}/Data
%{perl_vendorarch}/auto/Data

%changelog
* Fri Feb 25 2011 jquelin <jquelin> 1.120.0-1.mga1
+ Revision: 59662
- update to 1.12

* Sun Jan 30 2011 dmorgan <dmorgan> 1.110.0-1.mga1
+ Revision: 44755
- New version 1.11

* Tue Jan 18 2011 jquelin <jquelin> 1.100.0-1.mga1
+ Revision: 22268
- cleaning spec file
- imported package perl-Data-Alias

